<div id="header">
  <div>
    <div class="announcement-bar">
      <p class="mb-0 fsize-14" v-if="siteInfo">
        <!-- Welcome back to our store -->
        <!-- {{$language.welcomeTo}} {{siteInfo && siteInfo.shopName}} {{$language.shop}} -->
      </p>
    </div>
    <div class="container" style="position: relative">
      <div v-if="logo" class="image-logo">
        <img :src="`https://api.opensitex.com/${logo}`" alt="" />
      </div>
      <div v-else class="image-logo my-3">
        <img src="~/assets/images/logo-zshop.png" alt="" />
      </div>
      <nuxt-link to="/seller/products" class="back-btn">
        <v-icon>mdi-arrow-left</v-icon>
      </nuxt-link>
      <v-row no-gutters>
        <v-col cols="4">
          <div class="d-block d-md-none">
            <v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>
          </div>
          <div id="hideBottomInput" class="border-input d-none d-md-block" style="height: 40px">
            <!-- <v-text-field dense outlined v-model="search" prepend-inner-icon="mdi-magnify" style="width: 372px"
              :placeholder="$language.search" v-debounce:1000ms="onGetListBySearch">
            </v-text-field> -->
          </div>
        </v-col>
        <v-col cols="4">
          <div class="logo d-flex justify-center">
            <nuxt-link to="/" class="text-decoration-none">
              <img :src="convertImage" alt="Store" class="c-pointer" v-if="convertImage" />
            </nuxt-link>
          </div>
        </v-col>
        <v-col cols="4">
          <div class="d-flex justify-end align-center fheight pos-relative">
            <svg width="16" height="16" viewBox="0 0 16 16" version="1.1" xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink" @click="drawerProduct = !drawerProduct" class="c-pointer">
              <g stroke="none" stroke-width="1" fill="none">
                <path
                  d="M16,4 L16,16 L0,16 L0,4 L16,4 Z M14,6 L2,6 L2,14 L14,14 L14,6 Z M8,3.98604081e-14 C10.4188915,4.04528656e-14 12.4366008,1.71766536 12.8999437,3.99981203 L10.8293257,4.00008893 C10.4175144,2.8348501 9.30625206,2 8,2 C6.69374794,2 5.58248558,2.8348501 5.17067428,4.00008893 L3.10005628,3.99981203 C3.56339924,1.71766536 5.5811085,3.92679505e-14 8,3.98604081e-14 Z"
                  fill="#000000"></path>
              </g>
            </svg>
            <span class="cart-number"> {{totalCart}} </span>
          </div>
        </v-col>
      </v-row>
    </div>
    <v-divider></v-divider>
    <!-- <div class="container mx-auto d-none d-md-flex align-center justify-center py-2">
      <div class="mx-3">
        <nuxt-link to="/collections/all" class="text-decoration-none hover-link header">
          {{$language.shopNow}}
        </nuxt-link>
      </div>
      <div class="mx-3">
        <nuxt-link to="/pages/order-tracking" class="hover-link header">
          {{$language.orderTracking}}
        </nuxt-link>
      </div>
      <div class="mx-3">
        <nuxt-link to="/pages/contact-us" class="hover-link header">
          {{$language.contactUs}}
        </nuxt-link>
      </div>
    </div> -->

    <v-navigation-drawer v-model="drawer" absolute width="300px">
      <div class="pt-6 pb-4 pos-relative product-card">
        <div class="d-flex align-center justify-space-between mb-4 px-4">
          <p class="mb-0 h6">Menu</p>
          <v-btn icon small @click="drawer = !drawer">
            <v-icon> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider> </v-divider>
        <div class="mx-3">
          <div class="mx-0 mt-9 mb-3" @click="drawer = !drawer">
            <nuxt-link to="/collections/all" class="hover-link header">
              {{$language.shopNow}}
            </nuxt-link>
          </div>
          <div class="mx-0 pt-4 pb-3" @click="drawer = !drawer">
            <nuxt-link to="/pages/order-tracking" class="hover-link header">
              {{$language.orderTracking}}
            </nuxt-link>
          </div>
          <div class="mx-0 pt-4 pb-3" @click="drawer = !drawer">
            <nuxt-link to="/pages/contact-us" class="hover-link header">
              {{$language.contactUs}}
            </nuxt-link>
          </div>
        </div>
      </div>
    </v-navigation-drawer>

    <v-navigation-drawer v-model="drawerProduct" temporary fixed right width="384px" style="z-index: 1000">
      <div class="pt-6 px-4 pb-4 pos-relative product-card fheight">
        <div class="d-flex align-center justify-space-between mb-4">
          <nuxt-link to="/cart" class="text-decoration-none black--text">
            <p class="mb-0 h6">{{$language.yourShoppingCart}}</p>
          </nuxt-link>
          <v-btn icon small @click="drawerProduct = !drawerProduct">
            <v-icon> mdi-close </v-icon>
          </v-btn>
        </div>
        <div :class="totalCart > 3 ? 'cart product-card-height' : ''" v-if="cart && cart.length">
          <div v-for="(product, i) in cart" :key="i" class="mb-4">
            <div class="d-flex align-start">
              <div class="product-card__image mr-3">
                <img :src="convertImg(product)"
                  alt="New Funny Cat Toys Interactive Teaser Training Toy Kittens Interactive Games Pet Supplies Accessories Toys For Cat"
                  data-priority="false" onload="this.dataset.loaded=true;" onerror="this.dataset.error=true;"
                  data-loaded="true" width="96px" height="96px" />
              </div>
              <div>
                <p class="mb-0">
                  {{product && product.productId && product.productId.name}}
                </p>
                <p class="bodyBold" v-if="timer">
                  ${{timer ? calcSalePrice(product) &&
                  $utils.formatCurrency(calcSalePrice(product)) :
                  calcPrice(product) &&
                  $utils.formatCurrency(calcPrice(product))}}
                  <span class="text-decoration-line-through"
                    v-if="calcSalePrice(product) !== calcPrice(product)">${{calcPrice(product) &&
                    $utils.formatCurrency(calcPrice(product))}}</span>
                </p>
                <p class="bodyBold" v-else>
                  ${{ calcSalePrice(product) &&
                  $utils.formatCurrency(calcSalePrice(product))}}
                  <span class="text-decoration-line-through"
                    v-if="calcSalePrice(product) !== calcPrice(product)">${{calcPrice(product) &&
                    $utils.formatCurrency(calcPrice(product))}}</span>
                </p>
                <p class="color-main-menu subTitle1 mt-2" v-if="product && product.listValue.length">
                  {{product.listValue.join(" / ")}}
                </p>
                <p class="color-main-menu subTitle1 mt-2">
                  {{$language.quantity}}
                </p>
                <div class="d-flex flex-wrap align-center">
                  <button class="border-quantity px-2 py-1 mb-2" @click="onDecrease(product, i)">
                    <v-icon color="#000000" size="16"> mdi-minus </v-icon>
                  </button>
                  <div id="hideBottomInput" class="mb-2">
                    <v-text-field dense outlined v-model.number="product.quantity" class="product-card__input" readonly
                      style="width: 54px">
                    </v-text-field>
                  </div>
                  <button class="border-quantity px-2 py-1 mr-3 mb-2" @click="onIncrease(product, i)">
                    <v-icon color="#000000" size="16"> mdi-plus </v-icon>
                  </button>
                  <p class="remove-item mb-0 fsize-12 c-pointer" @click="onDelete(i)">
                    {{$language.removeItem}}
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="my-4" v-else>
          <div class="d-flex align-center justify-center">
            <img src="~/assets/images/no-product.png" alt="" width="120px" height="120px" />
          </div>
          <p class="mb-0 fsize-14 mt-5 text-center">
            There are no items in your cart.
          </p>
        </div>
        <div class="pt-4 px-4 part-checkout" v-if="cart.listSelectedProduct && cart.listSelectedProduct.length">
          <v-divider></v-divider>
          <div class="pt-4">
            <div class="d-flex align-center justify-space-between">
              <div>
                <p class="mb-0 bodyBold black--text">{{$language.subtotal}}</p>
              </div>
              <div>
                <p class="mb-0 bodyBold black--text">
                  ${{$utils.formatCurrency(totalPrice)}}
                </p>
              </div>
            </div>
            <p class="subTitle1 color-main-menu">
              {{$language.shippingFeeNote}}
            </p>
            <nuxt-link to="/checkout" class="text-decoration-none">
              <v-btn color="#FF9934" class="elevation-0" block height="50" :disabled="loading">
                <div class="d-flex align-center">
                  <v-icon color="#ffffff" size="18">
                    mdi-shield-check-outline
                  </v-icon>
                  <p class="mb-0 ml-2 h6 white--text">{{$language.checkout}}</p>
                </div>
              </v-btn>
            </nuxt-link>
          </div>
        </div>
      </div>
    </v-navigation-drawer>
  </div>
</div>